=== debian/changelog ===
ros-kinetic-o3m151-driver (1.2.1-0xenial) xenial; urgency=high

  * Update package xml to format 2
  * Update doc and comment
  * Change library name to not conflict with velodyne nodelet library
  * Add amplitude normalization and calibration offset
    But does not work...
  * Remove close point and align XYZ axes with axes convention
  * Support nodelet
  * Uniforming code style
  * Replay using pcap
  * Add generic process function
  * Move some variables as class member
  * Cleaning code
  * Add intensity in point cloud and remove pcl viewer
  * Add width in pcl msg to be displayed by rviz
  * Getting data from sensor
  * Clean files
  * Clean files
  * o3m151_driver based on ROS velodyne_driver
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 31 Jan 2018 23:00:00 -0000
