=== debian/control ===
Source: ros-kinetic-o3m151-driver
Section: misc
Priority: extra
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), libpcap0.8-dev, ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-nodelet, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-tf
Homepage: http://www.ros.org/wiki/o3m151_driver
Standards-Version: 3.9.2

Package: ros-kinetic-o3m151-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8-dev, ros-kinetic-diagnostic-updater, ros-kinetic-nodelet, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-tf
Description: ROS device driver for Ifm O3M151 TOF camera.
